<?php

namespace App\Providers;

use App\Services\Verification\Contracts\VerificationProviderInterface;
use App\Services\Verification\VerificationManager;
use Illuminate\Support\ServiceProvider;

class VerificationServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        $this->app->singleton(VerificationManager::class, function ($app) {
            return new VerificationManager($app);
        });

        $this->app->alias(VerificationManager::class, VerificationProviderInterface::class);
    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        //
    }
}
